FreeMat

- Main Page
- Related Pages

vtkTransformCollection

Section: Visualization Toolkit Common Classes

# Usage

vtkTransformCollection is an object that creates and manipulates lists of objects of type vtkTransform.

To create an instance of class vtkTransformCollection, simply invoke its constructor as follows

      obj = vtkTransformCollection

# Methods

The class vtkTransformCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTransformCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTransformCollection = obj.NewInstance ()`
- `vtkTransformCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkTransform )` - Add a Transform to the list.
- `vtkTransform = obj.GetNextItem ()` - Get the next Transform in the list. Return NULL when the end of the list is reached.